FreeBSD No longer required by any port问题


I. 遇到问题

由于软件已经不再存在于FreeBSD的PORTS树中,当使用PORTMASTER -DaF升级系统软件的时候将会出现类似下面“No longer
required by any port”的问题:

    ===>>> The devel/automake110 port has been deleted: No longer required by any port 
    ===>>> Aborting update 

II. 解决方法

是先用pkg_info查看是哪些包被移除,然后再手工删除掉相应的软件包

    # pkg_info | grep automake
    automake-1.10.3 GNU Standards-compliant Makefile generator (1.10)
    automake-1.5_6,1 GNU Standards-compliant Makefile generator (1.5)
    automake-1.9.6_4 GNU Standards-compliant Makefile generator (1.9)
    # pkg_delete -f automake-1.10.3 automake-1.5_6,1 automake-1.9.6_4

接下载重新执行PORTMASTER,解决错误。


「倘若有所帮助,不妨酌情赞赏!」

Holmesian

感谢您的支持!

使用微信扫描二维码完成支付


相关文章

发表新评论